GHDL=ghdl

core_DIR=../hdl
core_SRC=twsi_rx_bit.vhdl twsi_receiver.vhdl

tb_DIR=.
tb_SRC=twsi_capt_tb.vhdl twsi_frame_serializer.vhdl

MODULES=core tb

TOP_COMPONENT = twsi_capt_tb

SRC=$(foreach m, $(MODULES), $($(m)_SRC:%=$($(m)_DIR)/%))

$(warning SRC=$(SRC))

#SRC+=mapo_tb.vhd

CFLAGS += -Wall

GHDLFLAGS+=
ANALYZEFLAGS+=--std=08 --ieee=synopsys -fexplicit -ggdb

#SIM_FLAGS=--stop-time=1000ns #--ieee-asserts=disable

all:	test-twsi_capt

# imem.bits
test-twsi_capt: analyze-all
	$(GHDL) $(GHDLFLAGS) -m $(ANALYZEFLAGS) $(TOP_COMPONENT)
	$(GHDL) $(GHDLFLAGS) -r $(TOP_COMPONENT) --stop-time=20000ns --vcd=$@.vcd --wave=$@.ghw

analyze-all: $(SRC)
	$(GHDL) $(GHDLFLAGS) -a $(ANALYZEFLAGS) $(SRC)

clean:
	rm -f *.o
	rm twsi_capt_tb
	$(GHDL) --clean
	$(RM) work-obj08.cf
